Subject: Q: port serial driver from 2.2 to 2.4

From: Barry Wu <[email-masked]>
Date: Tue, 24 Jul 2001 08:20:21 -0700 (PDT)

Hi, all,

I am porting serial console driver from kenel
2.2.12 to kernel 2.4.3. I can use printk and
prom_printf to print messages on serial terminal.
But when the kernel call autoconfig() function,
the output on serial terminal is stop. I check
the autoconfig() function, it stop at 
serial_outp(info, UART_LCR, 0xBF); /* set up for
StarTech test */
Why? If someone knows, please help me.
Thanks!

Barry

__________________________________________________
Do You Yahoo!?
Make international calls for as low as $.04/minute with Yahoo! Messenger
http://phonecard.yahoo.com/